{
  "schema_version": "1.4.0",
  "id": "GHSA-6945-86vq-2qgg",
  "modified": "2022-05-03T03:13:01Z",
  "published": "2022-05-03T03:13:01Z",
  "aliases": [
    "CVE-2004-0424"
  ],
  "details": "Integer overflow in the ip_setsockopt function in Linux kernel 2.4.22 through 2.4.25 and 2.6.1 through 2.6.3 allows local users to cause a denial of service (crash) or execute arbitrary code via the MCAST_MSFILTER socket option.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2004-0424"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/15907"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11214"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A939"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000852"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=108253171301153&w=2"
    },
    {
      "type": "WEB",
      "url": "http://www.isec.pl/vulnerabilities/isec-0015-msfilter.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.linuxsecurity.com/advisories/engarde_advisory-4285.html"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2004:037"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2004_10_kernel.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2004-183.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/10179"
    },
    {
      "type": "WEB",
      "url": "http://www.slackware.com/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.659586"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2004-07-07T04:00:00Z"
  }
}